package com.olimex.libi2c;


public class CommunicationException extends Exception{
	
	private static final long serialVersionUID = -8441176881862360566L;

	public static CommunicationException open_exception = new CommunicationException(
			String.format("Failed to open device: 0x%02X", libI2C.ADDRESS));
	
	public static CommunicationException write_exception = new CommunicationException(
			String.format("Failed writing to device: 0x%02X", libI2C.ADDRESS));
	
	public static CommunicationException read_exception = new CommunicationException(
			String.format("Failed reading from device: 0x%02X", libI2C.ADDRESS));
	
	public static CommunicationException close_exception = new CommunicationException(
			String.format("Failed to close device: 0x%02X", libI2C.ADDRESS));
	
	public static CommunicationException init_exception = new CommunicationException(
			String.format("Failed join: %s", libI2C.BUS));
	

	public CommunicationException() {
	}

	public CommunicationException(String message) {
		super(message);
	}

	public CommunicationException(String message, Throwable cause) {
		super(message, cause);
	}

	@Override
	public String getMessage() {
		return super.getMessage();
	}
}
